<template>
  <button :class="['list-group-item', 'list-group-item-action', todo.isActive ? 'list-group-item-success' : 'list-group-item-dark']" @click="onClick">
    {{todo.label}}
  </button>
</template>
<script>
export default {
  methods: {
      onClick() {
        this.$emit('todoClick');
      }
  },
  props: {
    todo : {
      type: Object,
      required: true,
    }
  }
}
</script>
<style>

</style>